package com.logicbig.example;

import org.springframework.format.support.DefaultFormattingConversionService;

/**
 * This example formats Employee object in following format:
 * Employee#name, Employee#dept, Employee#phoneNumber
 */
public class CustomFormatterExample {

    public static void main(String[] args) {
        DefaultFormattingConversionService service =
                new DefaultFormattingConversionService();
        service.addFormatter(new EmployeeFormatter());

        Employee employee = new Employee("Joe", "IT", "123-456-7890");
        String string = service.convert(employee, String.class);
        System.out.println(string);

        //converting back to Employee
        Employee e = service.convert(string, Employee.class);
        System.out.println(e);
    }
}